Skip to main content
GET
/
analytics
/
dashboards
/
clock-ins
/
group-summaries
Get Clock In Group Summaries
curl --request GET \
  --url https://api.decodahealth.com/analytics/dashboards/clock-ins/group-summaries \
  --header 'API-KEY: <api-key>' \
  --header 'TENANT: <tenant>'
import requests

url = "https://api.decodahealth.com/analytics/dashboards/clock-ins/group-summaries"

headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};

fetch('https://api.decodahealth.com/analytics/dashboards/clock-ins/group-summaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "groupKey": "<string>",
    "totalClockIns": 123,
    "totalScheduledShifts": 123,
    "totalScheduledMinutes": 123,
    "totalWorkedMinutes": 123,
    "providerCount": 123
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Query Parameters

group_by
enum<string>
required
Available options:
location,
provider,
date
start_date
string<date> | null
end_date
string<date> | null
location_ids
string[] | null
provider_ids
string[] | null
timezone
string
required

Response

Successful Response

groupKey
string
required
totalClockIns
integer
required
totalScheduledShifts
integer
required
totalScheduledMinutes
integer
required
totalWorkedMinutes
integer
required
providerCount
integer
required